import {AbstractIdmValidator} from "./AbstractIdmValidator";

export class IdmSnilsValidator extends AbstractIdmValidator {
  protected ERROR_MESSAGE = "Пользователь с указанным СНИЛС уже существует";

  protected checkValueExists(value: string): Promise<boolean> {
    return this.rpcService.valueExists(value);
  }

  protected cleanValue(value: string): string {
    return value.replace(/[-\s]/g, '');
  }
}